Redirects to the default OpenAPI specification document for this service
GET /documentation/openapi/specifications/default
This endpoint can be used to quickly access the most current version of the OpenAPI specification document available for this service. If the service supports more than one API version, the most recent available version is always considered to be the default.
This means that any request sent to the service without an api-version parameter in the Accept header will be treated as if it where requested for this version.
Responses
Section titled “Responses”| Code | Description | Type |
|---|---|---|
302 |
Redirects to the default OpenAPI specification document for this service. | no body |
4XX |
Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. | ProblemDetails |
5XX |
Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. | ProblemDetails |
Headers
| Header | Type | Description |
|---|---|---|
Location |
string (uri) |
The absolute URI of the default OpenAPI document. |
Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Was this page helpful?Thanks for your feedback!